Bug 841072 - RFE: Email management functions for users
RFE: Email management functions for users
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 00:33 EDT by David Mason
Modified: 2015-07-28 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:49:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-07-18 00:33:59 EDT
Description of problem:
Each user can only validate a single email address, and email address changes are not visible through the UI until they are successfully validated.

The UI should:

 - show email addresses that are awaiting validation.
 - show email addresses for which all validation links have expired
 - allow users to have validation emails re-sent (this could expire any previous validation links for the address).
 - show previously validated email addresses.
 - allow users to set any validated email address as their contact address.
 - allow users to delete any email address that is not their primary contact address (for non-validated email addresses, this could expire all validation links for the address).

Other thoughts:

 - the target page of validation links could offer to use the validated address as the contact address.
 - users trying to add an address that is already validated for themselves would be asked if they want to use it as their primary address.
 - users trying to add an address that is in their validation queue would be offered to re-send validation email.
 - email addresses in validation queue of other users should not be taken into account for detecting duplicate emails (to prevent accidental or purposeful locking-up of others' email addresses).
Comment 1 Michelle Kim 2015-02-24 23:01:18 EST
We need to narrow down the scope of this feature. More discussion to follow.
Comment 3 Damian Jansen 2015-07-13 20:20:29 EDT
Reassigned to PM
Comment 4 Zanata Migrator 2015-07-28 22:49:15 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-213

Note You need to log in before you can comment on or make changes to this bug.